Share via


Sql Resources - Retrieve Continuous Backup Information

Retrieves continuous backup information for a container resource.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/sqlDatabases/{databaseName}/containers/{containerName}/retrieveContinuousBackupInformation?api-version=2025-10-15

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB database account name.

containerName
path True

string

Cosmos DB container name.

databaseName
path True

string

Cosmos DB database name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
location

string

The name of the continuous backup restore location.

Responses

Name Type Description
200 OK

BackupInformation

The Sql container retrieve backup information operation completed successfully.

202 Accepted

The sql container retrieve backup information operation will complete asynchronously.

Other Status Codes

CloudError

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Impersonate your user account

Examples

CosmosDBSqlContainerBackupInformation

Sample request

POST https://management.azure.com/subscriptions/subid/resourceGroups/rgName/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/sqlDatabases/databaseName/containers/containerName/retrieveContinuousBackupInformation?api-version=2025-10-15

{
  "location": "North Europe"
}

Sample response

{
  "continuousBackupInformation": {
    "latestRestorableTimestamp": "2021-02-05T02:40:50Z"
  }
}
Location: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15
Azure-AsyncOperation: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15

Definitions

Name Description
BackupInformation

Backup information of a resource.

CloudError

An error response from the service.

ContinuousBackupInformation

Information about the status of continuous backups.

ContinuousBackupRestoreLocation

Properties of the regional restorable account.

ErrorResponse

Error Response.

BackupInformation

Backup information of a resource.

Name Type Description
continuousBackupInformation

ContinuousBackupInformation

Information about the status of continuous backups.

CloudError

An error response from the service.

Name Type Description
error

ErrorResponse

Error Response.

ContinuousBackupInformation

Information about the status of continuous backups.

Name Type Description
latestRestorableTimestamp

string

The latest restorable timestamp for a resource.

ContinuousBackupRestoreLocation

Properties of the regional restorable account.

Name Type Description
location

string

The name of the continuous backup restore location.

ErrorResponse

Error Response.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.